package com.ylx.massage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ylx.massage.domain.TWxUser;
import com.ylx.massage.mapper.TWxUserMapper;
import com.ylx.massage.service.TWxUserService;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 服务实现类
 */
@Service
public class TWxUserServiceImpl extends ServiceImpl<TWxUserMapper, TWxUser> implements TWxUserService {

    @Override
    public TWxUser getByOpenId(String openId) {
        LambdaQueryWrapper<TWxUser> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(TWxUser::getcOpenid,openId);
        return getOne(wrapper);
    }
}
